import express from "express";

const app = express()
const port = 3000;

app.use(express.static('public'));
app.set('view engine', 'ejs');

app.listen(port, () => {
  console.log(`Example app listening on port ${port}`)
})

app.use((req, res, next) => {
  res.ctx = {
    mainPage: '404.ejs',
    mainCtx: {},
    headerCtx: {}
  };
  next();
})

app.use('/api', (req, res, next) => {
  res.send(res.ctx);
})

app.use((req, res, next) => {
  res.render('root.ejs', res.ctx)
})